I have a working Lisp routine that utilizes "(setq VS (cdr (assoc 45 VP)))" from a viewport where "VP" is assigned earlier. This works great for a typically made viewport. But there are times when I need it to work for a viewport that is created form an object. Using the following as a basis: (defun c:get () (prompt " Select entity: ") (setq ent (car (entsel))) (setq e1 (entget ent)) ) can I retrieve the "assoc 45" from a viewport made from an object. If you select a viewport that was created from an object, two objects are selected. Can you filter the polyline, (rectangle, circle or whatever it is) to manipulate the viewport only. All that in one breath